### Function

# Secret password_search_finish

#### Declaration [src]

    GList*
    secret_password_search_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to search for items in the secret service.

Available since: | 0.19.0

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `None`
| A list of `SecretRetrievable` containing attributes of the matched items.
| The caller of the function takes ownership of the data, and is responsible for freeing it.